# Luxsci.Contact

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**listId** | **Number** | Contact list id the contact is in | [optional] 
**userId** | **Number** | ID of the user owning this contact. | [optional] 
**id** | **Number** | The unique contact ID. | [optional] 
**email** | **String** | Contact email address | [optional] 
**isActive** | **Number** | Status of the contact  0 &#x3D; Mark as inactive (will not receive emails)   1 &#x3D; Mark as active&#x27; | [optional] 
**isVerified** | **Number** |  | [optional] 
**isConfirmed** | **Number** | Confirmation status of the contact  0 &#x3D; Make this contact unconfirmed   1 &#x3D; Make this contact confirmed&#x27; | [optional] 
**isUnsubscribed** | **Number** | Subscription status of the contact  0 &#x3D; Mark as subscribed   1 &#x3D; Mark as unsubscribed&#x27; | [optional] 
**isSpammed** | **Number** | If this contact has produced a spam complaint  0 &#x3D; Mark as not spammed   1 &#x3D; Mark as spammed&#x27; | [optional] 
**format** | **String** | Preferred email format: text or html | [optional] 
**updatedAt** | **String** | DATETIME. Last update to this contact in GMT. Format \&quot;YYYYMM-DD HH:MM:SS\&quot;. | [optional] 
**createdAt** | **String** | DATETIME Creation of this contact In GMT. Format \&quot;YYYYMM-DD HH:MM:SS\&quot;. | [optional] 

<a name="IsActiveEnum"></a>
## Enum: IsActiveEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="IsConfirmedEnum"></a>
## Enum: IsConfirmedEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="IsUnsubscribedEnum"></a>
## Enum: IsUnsubscribedEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="IsSpammedEnum"></a>
## Enum: IsSpammedEnum

* `_0` (value: `0`)
* `_1` (value: `1`)

