# Luxsci.Template

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**codeWord** | **String** | Textual unique template reference. Can contain only letters, numbers, and underscore characters. Cannot be a number. Must be unique across your templates. Optional. | [optional] 
**title** | **String** | Internal title for this template. | 
**subject** | **String** | Required. Email message subject to be used. This field can contain dynamic place holders. | 
**bodyHtml** | **String** | Email body content for HTML viewing. Required for formats of “html” and “both”. This field can contain dynamic place holders. | [optional] 
**bodyText** | **String** | Email body content for plain text viewing. Required for formats of “text” and “both”. This field can contain dynamic place holders. | [optional] 
**isPrivate** | **Number** | When set to 1, the template is private and will not be shared with other users.  When set to 0, the default, the template may be shared. | [optional] 
**preheader** | **String** | Preheader (message preview) plain text content for messages that use format&#x3D;html.  The maximum length for this value is 128 characters.  All HTML tags will be automatically removed from this content. | [optional] 
**format** | **String** | Required. What body formats to include when sending? One of these values must be supplied: (html|text|both). | 
**slOptIn** | **Boolean** | Definitely use email encryption for this message (for users who are not required to use it anyway). | [optional] 
**slOptOut** | **Boolean** | Opt out of encryption as this message will NOT include PHI, PII, or sensitive data. Can not be true when sl_opt_in is true or when sl_no_tls is true. | [optional] 
**slNoTls** | **Boolean** | Do not use “TLS Only” as an email encryption method. Use something stronger such as Escrow, PGP, or S/MIME. | [optional] 
**templateGroupId** | **Number** | Unique ID of the Template Group this Template is in.  A value of zero means Unassigned. | [optional] 
